%?mingw_package_header

Name:           mingw-libssh2
Version:        1.9.0
Release:        %mkrel 3
Summary:        MinGW Windows library implementation of the SSH2 protocol

License:        BSD
Group:          Development/Other
URL:            http://www.libssh2.org/
Source0:        http://www.libssh2.org/download/libssh2-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-openssl
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-openssl
BuildRequires:  mingw64-zlib


%description
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).


# Win32
%package -n mingw32-libssh2
Summary:        MinGW Windows library implementation of the SSH2 protocol
Requires:       pkgconfig

%description -n mingw32-libssh2
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n mingw32-libssh2-static
Summary:        Static version of the MinGW Windows SSH2 library
Requires:       mingw32-libssh2 = %{version}-%{release}

%description -n mingw32-libssh2-static
Static version of the MinGW Windows SSH2 library.

# Win64
%package -n mingw64-libssh2
Summary:        MinGW Windows library implementation of the SSH2 protocol
Requires:       pkgconfig

%description -n mingw64-libssh2
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n mingw64-libssh2-static
Summary:        Static version of the MinGW Windows SSH2 library
Requires:       mingw64-libssh2 = %{version}-%{release}

%description -n mingw64-libssh2-static
Static version of the MinGW Windows SSH2 library.


%?mingw_debug_package


%prep
%setup -q -n libssh2-%{version}


%build
%mingw_configure --disable-silent-rules --enable-static --enable-shared
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# Remove .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Remove man pages which duplicate native Fedora.
rm -r $RPM_BUILD_ROOT%{mingw32_mandir}/man3
rm -r $RPM_BUILD_ROOT%{mingw64_mandir}/man3


# Win32
%files -n mingw32-libssh2
%doc COPYING
%{mingw32_bindir}/libssh2-1.dll
%{mingw32_libdir}/libssh2.dll.a
%{mingw32_libdir}/pkgconfig/libssh2.pc
%{mingw32_includedir}/libssh2.h
%{mingw32_includedir}/libssh2_publickey.h
%{mingw32_includedir}/libssh2_sftp.h

%files -n mingw32-libssh2-static
%{mingw32_libdir}/libssh2.a

# Win64
%files -n mingw64-libssh2
%doc COPYING
%{mingw64_bindir}/libssh2-1.dll
%{mingw64_libdir}/libssh2.dll.a
%{mingw64_libdir}/pkgconfig/libssh2.pc
%{mingw64_includedir}/libssh2.h
%{mingw64_includedir}/libssh2_publickey.h
%{mingw64_includedir}/libssh2_sftp.h

%files -n mingw64-libssh2-static
%{mingw64_libdir}/libssh2.a




%changelog
* Sat Sep 26 2020 tv <tv> 1.9.0-3.mga8
+ Revision: 1630401
- rebuild for new mingw stack

* Sat Feb 15 2020 umeabot <umeabot> 1.9.0-2.mga8
+ Revision: 1526859
- Mageia 8 Mass Rebuild

* Thu Jul 04 2019 daviddavid <daviddavid> 1.9.0-1.mga8
+ Revision: 1418337
- new version: 1.9.0

* Wed Apr 17 2019 daviddavid <daviddavid> 1.8.2-1.mga7
+ Revision: 1391991
- new version: 1.8.2

* Tue Mar 19 2019 daviddavid <daviddavid> 1.8.1-1.mga7
+ Revision: 1378950
- new version: 1.8.1

* Thu Sep 20 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1279894
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 daviddavid <daviddavid> 1.8.0-1.mga7
+ Revision: 1248255
- new version: 1.8.0

* Fri Feb 05 2016 umeabot <umeabot> 1.4.3-5.mga6
+ Revision: 938901
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 749569
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-3.mga5
+ Revision: 682487
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 1.4.3-2.mga4
+ Revision: 547506
- imported package mingw-libssh2

